<td>{{ time.key }}</td>
<td>{{ time.duration < 9999999999 ? (time.duration | number: '1.2-2') : 'DNF' }}</td>
<td class="scramble text-info">{{ time.scramble.split(' ').join('\ \ \ ') }}</td>
<td class="text-right">
    <div class="btn-group" role="group">
        <button type="button" class="btn btn-info btn-sm" (click)="addPenalty('DNF')" [disabled]="time.duration > 9999999999">DNF</button>
        <button type="button" class="btn btn-warning btn-sm" (click)="addPenalty('+2')">+2</button>
        <button type="button" class="btn btn-danger btn-sm pl-2 pr-2" (click)="deleteTime()"> <fa-icon [icon]="faTimes"></fa-icon> </button>
    </div>
</td>